## gvfs 1.54.0

=== meson_options.txt ===
option('systemduserunitdir', type: 'string', value: '', description: 'custom directory for systemd user units, or \'no\' to disable')
option('tmpfilesdir', type: 'string', value: '', description: 'custom directory for tmpfiles.d config files, or \'no\' to disable')
option('privileged_group', type: 'string', value: 'wheel', description: 'custom name for group that has elevated permissions')

option('admin', type: 'boolean', value: true, description: 'build with admin backend')
option('afc', type: 'boolean', value: true, description: 'build with afc backend and volume monitor')
option('afp', type: 'boolean', value: true, description: 'build with afp backends')
option('archive', type: 'boolean', value: true, description: 'build with archive backend')
option('cdda', type: 'boolean', value: true, description: 'build with cdda backend')
option('dnssd', type: 'boolean', value: true, description: 'build with dnssd backend')
option('goa', type: 'boolean', value: true, description: 'build with goa volume monitor')
option('google', type: 'boolean', value: true, description: 'build with google backend')
option('gphoto2', type: 'boolean', value: true, description: 'build with gphoto2 backend and volume monitor')
option('http', type: 'boolean', value: true, description: 'build with http/dav backends')
option('mtp', type: 'boolean', value: true, description: 'build with mtp backend and volume monitor')
option('nfs', type: 'boolean', value: true, description: 'build with nfs backend')
option('onedrive', type: 'boolean', value: true, description: 'build with OneDrive backend')
option('sftp', type: 'boolean', value: true, description: 'build with sftp backend')
option('smb', type: 'boolean', value: true, description: 'build with smb backends')
option('udisks2', type: 'boolean', value: true, description: 'build with udisks2 volume monitor')
option('wsdd', type: 'boolean', value: true, description: 'build with wsdd backend')

option('bluray', type: 'boolean', value: true, description: 'build with bluray metadata support')
option('fuse', type: 'boolean', value: true, description: 'build with fuse support')
option('gcr', type: 'boolean', value: true, description: 'build with gcr certificate support')
option('gcrypt', type: 'boolean', value: true, description: 'build with gcrypt support')
option('gudev', type: 'boolean', value: true, description: 'build with gudev device support')
option('keyring', type: 'boolean', value: true, description: 'build with keyring support')
option('logind', type: 'boolean', value: true, description: 'build with logind support')
option('libusb', type: 'boolean', value: true, description: 'build with libusb interruption support')

option('devel_utils', type: 'boolean', value: false, description: 'build with development utility programs')
option('installed_tests', type: 'boolean', value: false, description: 'enable installed unit tests')
option('man', type: 'boolean', value: false, description: 'generate man pages')

=== debian/changelog ===
gvfs (1.54.0-1ubuntu2) noble; urgency=medium

  * Disable onedrive on i386 and fix the build

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 18 Apr 2024 15:39:03 +0200

gvfs (1.54.0-1ubuntu1) noble; urgency=medium

  * debian/control, debian/rules:
    - enable the new onedrive backend now that the msgraph MIR has been
      approved (lp: #2061857)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 16 Apr 2024 17:05:27 +0200

gvfs (1.54.0-1build3) noble; urgency=medium

  * No-change rebuild against libplist-2.0-4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 05 Apr 2024 08:05:11 +0000

gvfs (1.54.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:56:01 +0000

gvfs (1.54.0-1build1) noble; urgency=medium

  * Rebuild against new time64_t renamed libs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Mar 2024 00:21:23 +0100

gvfs (1.54.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Mar 2024 07:42:29 -0400

gvfs (1.53.90-4) unstable; urgency=medium

  * Stop enabling GNOME Online Accounts on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 07 Mar 2024 11:50:29 -0500

gvfs (1.53.90-3) unstable; urgency=medium

  * Drop patch reverting switch to gcr4
  * Update Build-Depends

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Feb 2024 22:11:38 -0500

gvfs (1.53.90-2) unstable; urgency=medium

  * Demote wsdd to Suggests (Closes: #1064208)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 18 Feb 2024 16:36:33 -0500

gvfs (1.53.90-1) unstable; urgency=medium

  * New upstream release
  * Add patch to revert switch to gcr4
  * Disable new onedrive feature since msgraph is not in Debian yet
  * gvfs-backends.install: Install new wsdd support for
    discovery of newer Windows network shares
  * Suggest wsdd on Ubuntu; recommend it everywhere else

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Feb 2024 17:50:46 -0500

=== debian/control ===
Source: gvfs
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-exec (>= 0.13),
               dh-sequence-gnome,
               gsettings-desktop-schemas-dev (>= 3.33.0),
               gtk-doc-tools,
               libarchive-dev,
               libavahi-client-dev (>= 0.6),
               libavahi-glib-dev (>= 0.6),
               libbluetooth-dev (>= 4.0) [!hurd-any],
               libbluray-dev,
               libcap-dev [!hurd-any],
               libcdio-paranoia-dev (>= 0.78.2) [!hurd-any],
               libdbus-1-dev,
               libexpat1-dev,
               libfuse3-dev (>= 3.0.0) [!hurd-any],
               libgcr-4-dev,
               libgcrypt20-dev (>= 1.2.2),
               libgdata-dev (>= 0.18),
               libglib2.0-dev (>= 2.70.0),
               libgoa-1.0-dev (>= 3.17.1) [!i386],
               libgphoto2-dev (>= 2.5.0) [!hurd-any],
               libgudev-1.0-dev (>= 147) [!hurd-any],
               libimobiledevice-dev (>= 1.2) [!hurd-any],
               libltdl-dev,
               libmsgraph-dev [!i386],
               libmtp-dev (>= 1.1.21) [!hurd-any],
               libnfs-dev (>= 1.9.7),
               libplist-dev,
               libpolkit-gobject-1-dev [!hurd-any],
               libsecret-1-dev,
               libsmbclient-dev (>= 3.4.0) [!hurd-any],
               libsoup-3.0-dev (>= 3.0.0),
               libsystemd-dev [!hurd-any],
               libudisks2-dev (>= 1.97) [!hurd-any],
               libusb-1.0-0-dev (>= 1.0.21) [!hurd-any],
               libxml2-dev,
               meson (>= 0.56.0),
               openssh-client,
               pkgconf,
               polkitd [!hurd-any],
               systemd (>= 206) [!hurd-any]
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/gnome-team/gvfs.git
Vcs-Browser: https://salsa.debian.org/gnome-team/gvfs
Homepage: https://wiki.gnome.org/Projects/gvfs

Package: gvfs
Architecture: any
Multi-Arch: same
Section: libs
Depends: gvfs-common (= ${source:Version}),
         gvfs-daemons (<< ${source:Version}.1~),
         gvfs-daemons (>= ${source:Version}),
         gvfs-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gvfs-backends
Description: userspace virtual filesystem - GIO module
 gvfs is a userspace virtual filesystem where mounts run as separate
 processes which you talk to via D-Bus. It also contains a gio module
 that seamlessly adds gvfs support to all applications using the gio
 API. It also supports exposing the gvfs mounts to non-gio applications
 using fuse.
 .
 This package contains the GIO module that lets applications use gvfs
 mounts.

Package: gvfs-backends
Architecture: any
Multi-Arch: foreign
Depends: gvfs (= ${binary:Version}),
         gvfs-common (= ${source:Version}),
         gvfs-daemons (= ${binary:Version}),
         gvfs-libs (= ${binary:Version}),
         psmisc,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gnome-keyring,
            ${wsdd:Recommends}
Suggests: bluez-obexd,
          pkexec [!hurd-any],
          samba-common,
          ${wsdd:Suggests}
Description: userspace virtual filesystem - backends
 gvfs is a userspace virtual filesystem where mounts run as separate
 processes which you talk to via D-Bus. It also contains a gio module
 that seamlessly adds gvfs support to all applications using the gio
 API. It also supports exposing the gvfs mounts to non-gio applications
 using fuse.
 .
 This package contains the afc, afp, archive, cdda, dav, dnssd, ftp,
 gphoto2, http, mtp, network, sftp, smb, smb-browse and wsdd backends.

Package: gvfs-common
Architecture: all
Multi-Arch: foreign
Section: libs
Depends: desktop-file-utils, ${misc:Depends}
Recommends: gvfs
Description: userspace virtual filesystem - common data files
 gvfs is a userspace virtual filesystem where mounts run as separate
 processes which you talk to via D-Bus. It also contains a gio module
 that seamlessly adds gvfs support to all applications using the gio
 API. It also supports exposing the gvfs mounts to non-gio applications
 using fuse.
 .
 This package contains the data files and translations used by all gvfs
 components.

Package: gvfs-daemons
Architecture: any
Multi-Arch: foreign
Section: libs
Depends: gvfs-common (= ${source:Version}),
         gvfs-libs (= ${binary:Version}),
         lsof [!hurd-any],
         udisks2 [!hurd-any],
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: dbus, gvfs
Suggests: gvfs-backends
Description: userspace virtual filesystem - servers
 gvfs is a userspace virtual filesystem where mounts run as separate
 processes which you talk to via D-Bus. It also contains a gio module
 that seamlessly adds gvfs support to all applications using the gio
 API. It also supports exposing the gvfs mounts to non-gio applications
 using fuse.
 .
 This package contains the gvfs server and the minimal set of backends.

Package: gvfs-fuse
Architecture: linux-any
Depends: fuse3,
         gvfs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: userspace virtual filesystem - fuse server
 gvfs is a userspace virtual filesystem where mounts run as separate
 processes which you talk to via D-Bus. It also contains a gio module
 that seamlessly adds gvfs support to all applications using the gio
 API. It also supports exposing the gvfs mounts to non-gio applications
 using fuse.
 .
 This package contains the gvfs-fuse server that exports gvfs mounts to
 all applications using FUSE.

Package: gvfs-libs
Architecture: any
Multi-Arch: same
Section: libs
Depends: gsettings-desktop-schemas (>= 3.33.0),
         gvfs-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: userspace virtual filesystem - private libraries
 gvfs is a userspace virtual filesystem where mounts run as separate
 processes which you talk to via D-Bus. It also contains a gio module
 that seamlessly adds gvfs support to all applications using the gio
 API. It also supports exposing the gvfs mounts to non-gio applications
 using fuse.
 .
 This package contains private libraries with common functions between
 the daemons and the GIO module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

include /usr/share/dpkg/default.mk

ifneq (,$(filter $(DEB_HOST_ARCH), hurd-i386 hurd-amd64))
	ADMIN_BACKEND=-Dadmin=false
	SYSTEMD_FLAGS= \
		-Dsystemduserunitdir=no \
		-Dtmpfilesdir=no \
		-Dlogind=false \
		-Dgudev=false \
		-Dudisks2=false \
		-Dcdda=false \
		-Dgphoto2=false \
		-Dmtp=false \
		-Dlibusb=false
	HURD_FLAGS = -Dafc=false -Dfuse=false -Dsmb=false -Dgcr=false
	ADMIN_BACKEND=
	HURD_FLAGS=
	SYSTEMD_FLAGS=
endif

# i386 is not a full architecture, especially on Ubuntu
ifeq (i386, $(DEB_HOST_ARCH))
        GOA_BACKEND = -Dgoa=false -Dgoogle=false -Donedrive=false
endif

ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
        BLURAY_BACKEND = -Dbluray=false
endif



%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dman=true \
		-Dprivileged_group=sudo \
		$(ADMIN_BACKEND) \
		$(BLURAY_BACKEND) \
		$(GOA_BACKEND) \
		$(SYSTEMD_FLAGS) \
		$(HURD_FLAGS)

override_dh_link-arch:
	dh_link -a
	for pkg in gvfs-backends gvfs-daemons gvfs-fuse; do \
	  ( mkdir -p debian/$$pkg/usr/lib/gvfs; cd debian/$$pkg/usr/lib/gvfs; ln -s ../../libexec/* . ); \
	done

override_dh_install:
	find debian/tmp -name '*.h' -print -delete
	dh_install
	rm -f debian/gvfs-bin/usr/bin/gvfs-less.xml

override_dh_makeshlibs:
	dh_makeshlibs --no-act

override_dh_shlibdeps:
	dh_shlibdeps -Lgvfs-libs -l/usr/lib/$(DEB_HOST_MULTIARCH)/gvfs

override_dh_auto_test:
	echo "Skipping testsuite as it's better run as an autopkgtest with machine isolation"

# wsdd is in Ubuntu "universe"
# wsdd is not working appropriately yet
override_dh_gencontrol:
#ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
	dh_gencontrol -- \
		-Vwsdd:Suggests='wsdd'
#else
#	dh_gencontrol -- \
#		-Vwsdd:Recommends='wsdd'
#endif

override_dh_gnome_clean:

## gvfs 1.54.2

=== debian/changelog ===
gvfs (1.54.2-2deepin1) unstable; urgency=medium

  * add ftp charset support.
  * add ftp socket timeout support.
  * fix smb browse fail for netreset error.
  * smb create dummy stat for root dir where access is denied.
  * smb set default location to topmost dir.

 -- wangrong <wangrong@uniontech.com>  Thu, 22 Aug 2024 11:27:03 +0800

gvfs (1.54.2-2) unstable; urgency=medium

  * Stop building the afc backend on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 31 Jul 2024 14:24:14 -0400

gvfs (1.54.2-1) unstable; urgency=medium

  * New upstream release
  * Explicitly disable deprecated APIs (this happens by default with gvfs 1.55)
  * gvfs-daemons.install: burn backend is no longer provided

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 28 Jun 2024 09:53:55 -0400

gvfs (1.54.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 11:11:38 -0400

gvfs (1.54.0-4) unstable; urgency=medium

  * Don't require libgdata-dev on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 15 May 2024 09:21:59 +0200

gvfs (1.54.0-3) unstable; urgency=medium

  [ Sebastien Bacher ]
  * Enable the new OneDrive backend

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 14 May 2024 16:34:54 +0200

gvfs (1.54.0-2) unstable; urgency=medium

  * Team upload
  * Build-depend on systemd-dev instead of systemd (Closes: #1060552)

 -- Michael Biebl <biebl@debian.org>  Tue, 14 May 2024 14:13:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gvfs
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec (>= 0.13),
@@ -21,12 +20,12 @@
                libfuse3-dev (>= 3.0.0) [!hurd-any],
                libgcr-4-dev,
                libgcrypt20-dev (>= 1.2.2),
-               libgdata-dev (>= 0.18),
+               libgdata-dev (>= 0.18) [!i386],
                libglib2.0-dev (>= 2.70.0),
                libgoa-1.0-dev (>= 3.17.1) [!i386],
                libgphoto2-dev (>= 2.5.0) [!hurd-any],
                libgudev-1.0-dev (>= 147) [!hurd-any],
-               libimobiledevice-dev (>= 1.2) [!hurd-any],
+               libimobiledevice-dev (>= 1.2) [!hurd-any !i386],
                libltdl-dev,
                libmsgraph-dev [!i386],
                libmtp-dev (>= 1.1.21) [!hurd-any],
@@ -44,9 +43,9 @@
                openssh-client,
                pkgconf,
                polkitd [!hurd-any],
-               systemd (>= 206) [!hurd-any]
+               systemd-dev (>= 206) [!hurd-any]
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/gnome-team/gvfs.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gvfs
 Homepage: https://wiki.gnome.org/Projects/gvfs

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 # i386 is not a full architecture, especially on Ubuntu
 ifeq (i386, $(DEB_HOST_ARCH))
-        GOA_BACKEND = -Dgoa=false -Dgoogle=false -Donedrive=false
+        GOA_BACKEND = -Dafc=false -Dgoa=false -Dgoogle=false -Donedrive=false
 endif
 
 ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
@@ -40,6 +40,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dman=true \
+		-Ddeprecated_apis=false \
 		-Dprivileged_group=sudo \
 		$(ADMIN_BACKEND) \
 		$(BLURAY_BACKEND) \

## gvfs 1.54.4

=== meson_options.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 option('afc', type: 'boolean', value: true, description: 'build with afc backend and volume monitor')
 option('afp', type: 'boolean', value: true, description: 'build with afp backends')
 option('archive', type: 'boolean', value: true, description: 'build with archive backend')
+option('burn', type: 'boolean', value: false, description: 'build with burn backend')
 option('cdda', type: 'boolean', value: true, description: 'build with cdda backend')
 option('dnssd', type: 'boolean', value: true, description: 'build with dnssd backend')
 option('goa', type: 'boolean', value: true, description: 'build with goa volume monitor')
@@ -29,6 +30,7 @@
 option('logind', type: 'boolean', value: true, description: 'build with logind support')
 option('libusb', type: 'boolean', value: true, description: 'build with libusb interruption support')
 
+option('deprecated_apis', type: 'boolean', value: true, description: 'install deprecated api headers')
 option('devel_utils', type: 'boolean', value: false, description: 'build with development utility programs')
 option('installed_tests', type: 'boolean', value: false, description: 'enable installed unit tests')
 option('man', type: 'boolean', value: false, description: 'generate man pages')

=== debian/changelog ===
gvfs (1.54.4-0ubuntu1~24.04.1) noble; urgency=medium

  * New upstream release (LP: #2109540):
    - disks2: Increasing reference count when updating volume to fix crashes
      when mounting encrypted partitions (LP: #2109538)
  * debian/{rules,install}: Enable burn backend again.
    We don't want to disable a feature in a SRU, so even if it doesn't work
    well with nautilus, it may be required by some command line tools.
  * debian/watch Limit to 1.54 branch
  * debian: Update vcs references to the noble branch
  * debian/rules: Enable burn backend again

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 23 May 2025 14:30:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gvfs
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec (>= 0.13),
@@ -20,12 +21,12 @@
                libfuse3-dev (>= 3.0.0) [!hurd-any],
                libgcr-4-dev,
                libgcrypt20-dev (>= 1.2.2),
-               libgdata-dev (>= 0.18) [!i386],
+               libgdata-dev (>= 0.18),
                libglib2.0-dev (>= 2.70.0),
                libgoa-1.0-dev (>= 3.17.1) [!i386],
                libgphoto2-dev (>= 2.5.0) [!hurd-any],
                libgudev-1.0-dev (>= 147) [!hurd-any],
-               libimobiledevice-dev (>= 1.2) [!hurd-any !i386],
+               libimobiledevice-dev (>= 1.2) [!hurd-any],
                libltdl-dev,
                libmsgraph-dev [!i386],
                libmtp-dev (>= 1.1.21) [!hurd-any],
@@ -43,11 +44,11 @@
                openssh-client,
                pkgconf,
                polkitd [!hurd-any],
-               systemd-dev (>= 206) [!hurd-any]
+               systemd (>= 206) [!hurd-any]
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
-Vcs-Git: https://salsa.debian.org/gnome-team/gvfs.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gvfs
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/gnome-team/gvfs.git -b ubuntu/noble
+Vcs-Browser: https://salsa.debian.org/gnome-team/gvfs/tree/ubuntu/noble
 Homepage: https://wiki.gnome.org/Projects/gvfs
 
 Package: gvfs

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 # i386 is not a full architecture, especially on Ubuntu
 ifeq (i386, $(DEB_HOST_ARCH))
-        GOA_BACKEND = -Dafc=false -Dgoa=false -Dgoogle=false -Donedrive=false
+        GOA_BACKEND = -Dgoa=false -Dgoogle=false -Donedrive=false
 endif
 
 ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
@@ -40,8 +40,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dman=true \
-		-Ddeprecated_apis=false \
 		-Dprivileged_group=sudo \
+		-Dburn=true \
 		$(ADMIN_BACKEND) \
 		$(BLURAY_BACKEND) \
 		$(GOA_BACKEND) \

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/@PACKAGE@/cache.json \
	[\d.]+/@PACKAGE@-(1\.54\.[\d.]+)@ARCHIVE_EXT@

## gvfs 1.56.0

=== debian/changelog ===
gvfs (1.56.0-2) unstable; urgency=medium

  * Add back dependency on wsdd, both on Debian and Ubuntu (LP: #2081735)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 23 Sep 2024 10:04:03 -0400

gvfs (1.56.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Refresh patches and remove patch included upstream

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 13 Sep 2024 15:45:11 +0200

gvfs (1.55.90-2) unstable; urgency=medium

  * Backport patch to fix a Gio.Volume API breakage

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 13 Sep 2024 06:55:31 -0400

gvfs (1.55.90-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Aug 2024 14:36:46 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gvfs
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec (>= 0.13),
@@ -21,12 +20,12 @@
                libfuse3-dev (>= 3.0.0) [!hurd-any],
                libgcr-4-dev,
                libgcrypt20-dev (>= 1.2.2),
-               libgdata-dev (>= 0.18),
+               libgdata-dev (>= 0.18) [!i386],
                libglib2.0-dev (>= 2.70.0),
                libgoa-1.0-dev (>= 3.17.1) [!i386],
                libgphoto2-dev (>= 2.5.0) [!hurd-any],
                libgudev-1.0-dev (>= 147) [!hurd-any],
-               libimobiledevice-dev (>= 1.2) [!hurd-any],
+               libimobiledevice-dev (>= 1.2) [!hurd-any !i386],
                libltdl-dev,
                libmsgraph-dev [!i386],
                libmtp-dev (>= 1.1.21) [!hurd-any],
@@ -44,11 +43,11 @@
                openssh-client,
                pkgconf,
                polkitd [!hurd-any],
-               systemd (>= 206) [!hurd-any]
+               systemd-dev (>= 206) [!hurd-any]
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
-Vcs-Git: https://salsa.debian.org/gnome-team/gvfs.git -b ubuntu/noble
-Vcs-Browser: https://salsa.debian.org/gnome-team/gvfs/tree/ubuntu/noble
+Standards-Version: 4.7.0
+Vcs-Git: https://salsa.debian.org/gnome-team/gvfs.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gvfs
 Homepage: https://wiki.gnome.org/Projects/gvfs
 
 Package: gvfs
@@ -83,11 +82,10 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: gnome-keyring,
-            ${wsdd:Recommends}
+            wsdd
 Suggests: bluez-obexd,
           pkexec [!hurd-any],
-          samba-common,
-          ${wsdd:Suggests}
+          samba-common
 Description: userspace virtual filesystem - backends
  gvfs is a userspace virtual filesystem where mounts run as separate
  processes which you talk to via D-Bus. It also contains a gio module

## gvfs 1.56.1

=== debian/changelog ===
gvfs (1.56.1-1.0nosystemd1) nosystemd; urgency=medium

  * removed hard dependency on libsystemd0/libelogind0 

 -- anticapitalista <antix@operamail.com>  Mon, 30 Dec 2024 18:06:45 +0200

gvfs (1.56.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Oct 2024 08:42:03 -0400

=== debian/control ===
--- 
+++ 
@@ -35,15 +35,13 @@
                libsecret-1-dev,
                libsmbclient-dev (>= 3.4.0) [!hurd-any],
                libsoup-3.0-dev (>= 3.0.0),
-               libsystemd-dev [!hurd-any],
                libudisks2-dev (>= 1.97) [!hurd-any],
                libusb-1.0-0-dev (>= 1.0.21) [!hurd-any],
                libxml2-dev,
                meson (>= 0.56.0),
                openssh-client,
                pkgconf,
-               polkitd [!hurd-any],
-               systemd-dev (>= 206) [!hurd-any]
+               polkitd [!hurd-any]
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/gnome-team/gvfs.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

include /usr/share/dpkg/default.mk

ifneq (,$(filter $(DEB_HOST_ARCH), hurd-i386 kfreebsd-i386 kfreebsd-amd64))
	ADMIN_BACKEND=-Dadmin=false
	SYSTEMD_FLAGS= \
		-Dsystemduserunitdir=no \
		-Dtmpfilesdir=no \
		-Dlogind=false \
		-Dgudev=false \
		-Dudisks2=false \
		-Dcdda=false \
		-Dgphoto2=false \
		-Dmtp=false \
		-Dlibusb=false
else
	ADMIN_BACKEND=-Dadmin=false
	SYSTEMD_FLAGS= \
		-Dsystemduserunitdir=no \
		-Dtmpfilesdir=no \
		-Dlogind=false \
		-Dgudev=false \
		-Dudisks2=false \
		-Dcdda=false \
		-Dgphoto2=false \
		-Dmtp=false \
		-Dlibusb=false 
endif

ifeq (hurd-i386, $(DEB_HOST_ARCH))
	HURD_FLAGS = -Dafc=false -Dfuse=false -Dsmb=false
endif

ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
        BLURAY_BACKEND = -Dbluray=false
endif

%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dman=true \
		-Dprivileged_group=sudo \
		$(ADMIN_BACKEND) \
		$(BLURAY_BACKEND) \
		$(GOA_BACKEND) \
		$(SYSTEMD_FLAGS) \
		$(HURD_FLAGS)

override_dh_link-arch:
	dh_link -a
	for pkg in gvfs-backends gvfs-daemons gvfs-fuse; do \
	  ( mkdir -p debian/$$pkg/usr/lib/gvfs; cd debian/$$pkg/usr/lib/gvfs; ln -s ../../libexec/* . ); \
	done

override_dh_install:
	find debian/tmp -name '*.h' -print -delete


override_dh_missing:
	dh_missing --list-missing

override_dh_makeshlibs:
	dh_makeshlibs --no-act

override_dh_shlibdeps:
	dh_shlibdeps -Lgvfs-libs -l/usr/lib/$(DEB_HOST_MULTIARCH)/gvfs

override_dh_auto_test:
	echo "Skipping testsuite as it's better run as an autopkgtest with machine isolation"

override_dh_gnome_clean:

## gvfs 1.57.1

=== debian/changelog ===
gvfs (1.57.1-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum glib and msgraph

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Feb 2025 16:07:34 -0500

=== debian/control ===
--- 
+++ 
@@ -21,13 +21,13 @@
                libgcr-4-dev,
                libgcrypt20-dev (>= 1.2.2),
                libgdata-dev (>= 0.18) [!i386],
-               libglib2.0-dev (>= 2.70.0),
+               libglib2.0-dev (>= 2.83.0),
                libgoa-1.0-dev (>= 3.17.1) [!i386],
                libgphoto2-dev (>= 2.5.0) [!hurd-any],
                libgudev-1.0-dev (>= 147) [!hurd-any],
                libimobiledevice-dev (>= 1.2) [!hurd-any !i386],
                libltdl-dev,
-               libmsgraph-dev [!i386],
+               libmsgraph-dev (>= 0.3.0) [!i386],
                libmtp-dev (>= 1.1.21) [!hurd-any],
                libnfs-dev (>= 1.9.7),
                libplist-dev,
@@ -35,13 +35,15 @@
                libsecret-1-dev,
                libsmbclient-dev (>= 3.4.0) [!hurd-any],
                libsoup-3.0-dev (>= 3.0.0),
+               libsystemd-dev [!hurd-any],
                libudisks2-dev (>= 1.97) [!hurd-any],
                libusb-1.0-0-dev (>= 1.0.21) [!hurd-any],
                libxml2-dev,
                meson (>= 0.56.0),
                openssh-client,
                pkgconf,
-               polkitd [!hurd-any]
+               polkitd [!hurd-any],
+               systemd-dev (>= 206) [!hurd-any]
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/gnome-team/gvfs.git

## gvfs 1.57.2

=== debian/changelog ===
gvfs (1.57.2-2ubuntu5) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 05 Sep 2025 11:45:21 +0000

gvfs (1.57.2-2ubuntu4) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 May 2025 12:18:58 +0200

gvfs (1.57.2-2ubuntu3) questing; urgency=medium

  * Revert disabling Google Drive integration which was
    accidentally included in the previous upload

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 02 May 2025 08:33:50 -0400

gvfs (1.57.2-2ubuntu2) questing; urgency=medium

  * Revert no-longer-needed Ubuntu changes

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 May 2025 14:49:42 -0400

gvfs (1.57.2-2ubuntu1) plucky; urgency=medium

  * Adjust d/p/fuse-use-fuse_-un-set_feature_flag-instead-of-setting-man.patch
    for dual fuse3 support (build tested against 3.14.0-10 and 3.17.1~rc1-3);
    the new functions leveraged do not exist in fuse3 3.14.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 23 Mar 2025 23:36:16 -0500

gvfs (1.57.2-2) unstable; urgency=medium

  * Team upload
  * d/p/fuse-use-fuse_-un-set_feature_flag-instead-of-setting-man.patch:
    Add proposed patch for interoperability with FUSE 3.17.
    Direct access to `fuse_conn_info.want` is deprecated, and currently
    doesn't work (although that might be a libfuse bug). Use the
    non-deprecated accessors instead. (Closes: #1100847, #1101025)
  * d/p/Remove-version-from-polkit-gobject-dependency.patch:
    Drop patch, no longer necessary.
    Debian and Ubuntu are both tracking recent upstream versions of
    polkit again, so having a stricter dependency is not a concern.
  * d/patches: Improve patch metadata
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sun, 23 Mar 2025 13:42:23 +0000

gvfs (1.57.2-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Bump minimum gnome-online-accounts

  [ Simon Quigley ]
  * Add kwalletmanager as an alternative Recommends to gnome-keyring on
    gvfs-backends

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 18 Feb 2025 08:43:33 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gvfs
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec (>= 0.13),
@@ -22,7 +23,7 @@
                libgcrypt20-dev (>= 1.2.2),
                libgdata-dev (>= 0.18) [!i386],
                libglib2.0-dev (>= 2.83.0),
-               libgoa-1.0-dev (>= 3.17.1) [!i386],
+               libgoa-1.0-dev (>= 3.53.1) [!i386],
                libgphoto2-dev (>= 2.5.0) [!hurd-any],
                libgudev-1.0-dev (>= 147) [!hurd-any],
                libimobiledevice-dev (>= 1.2) [!hurd-any !i386],
@@ -81,7 +82,7 @@
          psmisc,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: gnome-keyring,
+Recommends: gnome-keyring | kwalletmanager,
             wsdd
 Suggests: bluez-obexd,
           pkexec [!hurd-any],

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

include /usr/share/dpkg/default.mk

ifneq (,$(filter $(DEB_HOST_ARCH), hurd-i386 hurd-amd64))
	ADMIN_BACKEND=-Dadmin=false
	SYSTEMD_FLAGS= \
		-Dsystemduserunitdir=no \
		-Dtmpfilesdir=no \
		-Dlogind=false \
		-Dgudev=false \
		-Dudisks2=false \
		-Dcdda=false \
		-Dgphoto2=false \
		-Dmtp=false \
		-Dlibusb=false
	HURD_FLAGS = -Dafc=false -Dfuse=false -Dsmb=false -Dgcr=false
	ADMIN_BACKEND=
	HURD_FLAGS=
	SYSTEMD_FLAGS=
endif

# i386 is not a full architecture, especially on Ubuntu
ifeq (i386, $(DEB_HOST_ARCH))
        GOA_BACKEND = -Dafc=false -Dgoa=false -Dgoogle=false -Donedrive=false
endif

ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
        BLURAY_BACKEND = -Dbluray=false
endif



%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dman=true \
		-Dprivileged_group=sudo \
		$(ADMIN_BACKEND) \
		$(BLURAY_BACKEND) \
		$(GOA_BACKEND) \
		$(SYSTEMD_FLAGS) \
		$(HURD_FLAGS)

override_dh_link-arch:
	dh_link -a
	for pkg in gvfs-backends gvfs-daemons gvfs-fuse; do \
	  ( mkdir -p debian/$$pkg/usr/lib/gvfs; cd debian/$$pkg/usr/lib/gvfs; ln -s ../../libexec/* . ); \
	done

override_dh_install:
	find debian/tmp -name '*.h' -print -delete
	dh_install
	rm -f debian/gvfs-bin/usr/bin/gvfs-less.xml

override_dh_makeshlibs:
	dh_makeshlibs --no-act

override_dh_shlibdeps:
	dh_shlibdeps -Lgvfs-libs -l/usr/lib/$(DEB_HOST_MULTIARCH)/gvfs

override_dh_auto_test:
	echo "Skipping testsuite as it's better run as an autopkgtest with machine isolation"

override_dh_gnome_clean:

## gvfs 1.58.0

=== meson_options.txt ===
--- 
+++ 
@@ -30,7 +30,8 @@
 option('logind', type: 'boolean', value: true, description: 'build with logind support')
 option('libusb', type: 'boolean', value: true, description: 'build with libusb interruption support')
 
-option('deprecated_apis', type: 'boolean', value: true, description: 'install deprecated api headers')
+option('deprecated_apis', type: 'boolean', value: false, description: 'install deprecated api headers')
 option('devel_utils', type: 'boolean', value: false, description: 'build with development utility programs')
 option('installed_tests', type: 'boolean', value: false, description: 'enable installed unit tests')
 option('man', type: 'boolean', value: false, description: 'generate man pages')
+option('unit_tests', type: 'boolean', value: false, description: 'build with unit tests')

=== debian/changelog ===
gvfs (1.58.0-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130082, LP: #2109801). Remaining changes:
    - Fix autopkgtest flakiness with cdrom (LP #2126596)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 11 Nov 2025 15:30:21 +0100

gvfs (1.58.0-1) unstable; urgency=medium

  * New upstream release
  * Remove fuse patch: applied in new release
  * Remove obsolete Rules-Requires-Root: no field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Sep 2025 00:24:19 -0400

gvfs (1.57.2-3) unstable; urgency=medium

  * Team upload

  [ Bastian Germann ]
  * gvfs-backends: Drop google backend.
    This relies on libgdata, which is de facto unmaintained upstream, still
    depends on libsoup2.4, and is likely to be removed from forky.
    (Closes: #1110399)

  [ Simon McVittie ]
  * d/control: Demote wsdd to Suggests.
    It wasn't released in trixie (but will hopefully be in forky) and is
    required for non-essential functionality (browsing SMB/CIFS shares
    exported by newer versions of Windows that no longer use NMB). If
    a particular desktop environment wants this functionality as a
    higher priority, pulling in wsdd via a desktop metapackage like
    ubuntu-desktop or gnome seems more proportionate.
    (Closes: #1110689)
  * d/control: gvfs-backends Suggests openssh-client, for sftp://
    (Closes: #1020399)

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Aug 2025 10:24:40 +0100

gvfs (1.57.2-2ubuntu6) resolute; urgency=medium

  * Fix autopkgtest flakiness with cdrom (LP: #2126596)
    Waits in tests load_image when disconnecting cdrom,
    allowing for gio to consistently detect the change.

 -- Simon Poirier <simon.poirier@canonical.com>  Tue, 07 Oct 2025 14:51:23 -0400

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,6 @@
                libfuse3-dev (>= 3.0.0) [!hurd-any],
                libgcr-4-dev,
                libgcrypt20-dev (>= 1.2.2),
-               libgdata-dev (>= 0.18) [!i386],
                libglib2.0-dev (>= 2.83.0),
                libgoa-1.0-dev (>= 3.53.1) [!i386],
                libgphoto2-dev (>= 2.5.0) [!hurd-any],
@@ -45,8 +44,7 @@
                pkgconf,
                polkitd [!hurd-any],
                systemd-dev (>= 206) [!hurd-any]
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/gnome-team/gvfs.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gvfs
 Homepage: https://wiki.gnome.org/Projects/gvfs
@@ -83,10 +81,11 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: gnome-keyring | kwalletmanager,
-            wsdd
 Suggests: bluez-obexd,
+          openssh-client,
           pkexec [!hurd-any],
-          samba-common
+          samba-common,
+          wsdd,
 Description: userspace virtual filesystem - backends
  gvfs is a userspace virtual filesystem where mounts run as separate
  processes which you talk to via D-Bus. It also contains a gio module

=== debian/tests/control ===
Tests: integration
Depends: apache2,
         apache2-dev,
         dbus,
         gir1.2-umockdev-1.0,
         libglib2.0-bin,
         openssh-client,
         polkitd,
         procps,
         python3-dbus,
         python3-gi,
         python3-twisted,
         samba,
         sudo,
         umockdev (>= 0.2.9),
         @
Restrictions: allow-stderr isolation-machine needs-sudo

## gvfs 1.59.1

=== debian/changelog ===
gvfs (1.59.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/p/lp2126596: Remove patch applied upstream
  * d/p: Backport patch to fix watching volume mounts (LP: #2106321)
  * d/p: Backport patch to fix crash with overlayed mounts

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 19 Feb 2026 12:00:37 +0100

gvfs (1.58.0-2) unstable; urgency=medium

  [ Alessandro Astone ]
  * Add patch from Ubuntu to fix flaky autopkgtests (LP: #2126596)

  [ Jeremy Bícha ]
  * Fix an error in the hurd rules

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 04 Dec 2025 23:08:02 -0500

## gvfs 1.59.90

=== meson_options.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 option('cdda', type: 'boolean', value: true, description: 'build with cdda backend')
 option('dnssd', type: 'boolean', value: true, description: 'build with dnssd backend')
 option('goa', type: 'boolean', value: true, description: 'build with goa volume monitor')
-option('google', type: 'boolean', value: true, description: 'build with google backend')
+option('google', type: 'boolean', value: false, description: 'build with google backend', deprecated: true)
 option('gphoto2', type: 'boolean', value: true, description: 'build with gphoto2 backend and volume monitor')
 option('http', type: 'boolean', value: true, description: 'build with http/dav backends')
 option('mtp', type: 'boolean', value: true, description: 'build with mtp backend and volume monitor')

=== debian/changelog ===
gvfs (1.59.90-3) unstable; urgency=high

  * Fix Ubuntu i386 build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 01 Mar 2026 13:34:25 -0500

gvfs (1.59.90-2) unstable; urgency=high

  * Fix hurd build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 28 Feb 2026 15:53:58 -0500

gvfs (1.59.90-1) unstable; urgency=high

  * New upstream release
    - CVE-2026-28295 (Closes: #1129285)
    - CVE-2026-28296 (Closes: #1129286)
  * Bump minimum gnome-online-accounts
  * Remove 2 patches applied in new release
  * Update Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 28 Feb 2026 13:26:37 -0500

=== debian/control ===
--- 
+++ 
@@ -1,52 +1,52 @@
 Source: gvfs
+Standards-Version: 4.7.3
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
+           Laurent Bigonville <bigon@debian.org>,
+           Sebastien Bacher <seb128@debian.org>
 Section: gnome
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-exec (>= 0.13),
+               dh-exec,
                dh-sequence-gnome,
-               gsettings-desktop-schemas-dev (>= 3.33.0),
+               gsettings-desktop-schemas-dev,
                gtk-doc-tools,
                libarchive-dev,
-               libavahi-client-dev (>= 0.6),
-               libavahi-glib-dev (>= 0.6),
-               libbluetooth-dev (>= 4.0) [!hurd-any],
+               libavahi-client-dev,
+               libavahi-glib-dev,
+               libbluetooth-dev [!hurd-any],
                libbluray-dev,
                libcap-dev [!hurd-any],
-               libcdio-paranoia-dev (>= 0.78.2) [!hurd-any],
+               libcdio-paranoia-dev [!hurd-any],
                libdbus-1-dev,
                libexpat1-dev,
-               libfuse3-dev (>= 3.0.0) [!hurd-any],
+               libfuse3-dev [!hurd-any],
                libgcr-4-dev,
-               libgcrypt20-dev (>= 1.2.2),
+               libgcrypt20-dev,
                libglib2.0-dev (>= 2.83.0),
-               libgoa-1.0-dev (>= 3.53.1) [!i386],
-               libgphoto2-dev (>= 2.5.0) [!hurd-any],
-               libgudev-1.0-dev (>= 147) [!hurd-any],
-               libimobiledevice-dev (>= 1.2) [!hurd-any !i386],
+               libgoa-1.0-dev (>= 3.57.1) [!i386],
+               libgphoto2-dev [!hurd-any],
+               libgudev-1.0-dev [!hurd-any],
+               libimobiledevice-dev [!hurd-any !i386],
                libltdl-dev,
-               libmsgraph-dev (>= 0.3.0) [!i386],
+               libmsgraph-dev [!i386],
                libmtp-dev (>= 1.1.21) [!hurd-any],
-               libnfs-dev (>= 1.9.7),
+               libnfs-dev,
                libplist-dev,
                libpolkit-gobject-1-dev [!hurd-any],
                libsecret-1-dev,
-               libsmbclient-dev (>= 3.4.0) [!hurd-any],
-               libsoup-3.0-dev (>= 3.0.0),
+               libsmbclient-dev [!hurd-any],
+               libsoup-3.0-dev,
                libsystemd-dev [!hurd-any],
-               libudisks2-dev (>= 1.97) [!hurd-any],
-               libusb-1.0-0-dev (>= 1.0.21) [!hurd-any],
+               libudisks2-dev [!hurd-any],
+               libusb-1.0-0-dev [!hurd-any],
                libxml2-dev,
-               meson (>= 0.56.0),
+               meson,
                openssh-client,
                pkgconf,
                polkitd [!hurd-any],
-               systemd-dev (>= 206) [!hurd-any]
-Standards-Version: 4.7.2
+               systemd-dev [!hurd-any]
+Vcs-Browser: https://salsa.debian.org/gnome-team/gvfs
 Vcs-Git: https://salsa.debian.org/gnome-team/gvfs.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gvfs
 Homepage: https://wiki.gnome.org/Projects/gvfs
 
 Package: gvfs
@@ -80,12 +80,12 @@
          psmisc,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: gnome-keyring | kwalletmanager,
+Recommends: gnome-keyring | kwalletmanager
 Suggests: bluez-obexd,
           openssh-client,
           pkexec [!hurd-any],
           samba-common,
-          wsdd,
+          wsdd
 Description: userspace virtual filesystem - backends
  gvfs is a userspace virtual filesystem where mounts run as separate
  processes which you talk to via D-Bus. It also contains a gio module
@@ -100,7 +100,8 @@
 Architecture: all
 Multi-Arch: foreign
 Section: libs
-Depends: desktop-file-utils, ${misc:Depends}
+Depends: desktop-file-utils,
+         ${misc:Depends}
 Recommends: gvfs
 Description: userspace virtual filesystem - common data files
  gvfs is a userspace virtual filesystem where mounts run as separate
@@ -122,7 +123,8 @@
          udisks2 [!hurd-any],
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: dbus, gvfs
+Recommends: dbus,
+            gvfs
 Suggests: gvfs-backends
 Description: userspace virtual filesystem - servers
  gvfs is a userspace virtual filesystem where mounts run as separate
@@ -153,7 +155,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: gsettings-desktop-schemas (>= 3.33.0),
+Depends: gsettings-desktop-schemas,
          gvfs-common (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/tests/control ===
--- 
+++ 
@@ -14,4 +14,6 @@
          sudo,
          umockdev (>= 0.2.9),
          @
-Restrictions: allow-stderr isolation-machine needs-sudo
+Restrictions: allow-stderr,
+              isolation-machine,
+              needs-sudo
